{ pkgs, config, ... }:

{
  programs.wezterm = {
    enable = true;
    extraConfig = ''
    return {
      -- color_scheme = 'Ayu Dark (Gogh)',
      font = wezterm.font('JetBrainsMono Nerd Font'),
      font_size = 16,
      use_fancy_tab_bar = false,
      native_macos_fullscreen_mode = false,
      enable_scroll_bar = false,
      window_decorations = "RESIZE",
      enable_kitty_graphics = true,
      hide_tab_bar_if_only_one_tab = true,
      keys = {
        {
          key = 'n',
          mods = 'CMD|SHIFT',
          action = wezterm.action.ToggleFullScreen,
        },
      },
      window_padding = {
        left = 0,
        right = 0,
        top = 0,
        bottom = 0,
      },
      window_background_opacity = 1,
      macos_window_background_blur = 0,
      front_end = "WebGpu",
      force_reverse_video_cursor = true,
      colors = {
        foreground = "#dcd7ba",
        background = "#1f1f28",

        cursor_bg = "#c8c093",
        cursor_fg = "#c8c093",
        cursor_border = "#c8c093",

        selection_fg = "#c8c093",
        selection_bg = "#2d4f67",

        scrollbar_thumb = "#16161d",
        split = "#16161d",

        ansi = { "#090618", "#c34043", "#76946a", "#c0a36e", "#7e9cd8", "#957fb8", "#6a9589", "#c8c093" },
        brights = { "#727169", "#e82424", "#98bb6c", "#e6c384", "#7fb4ca", "#938aa9", "#7aa89f", "#dcd7ba" },
        indexed = { [16] = "#ffa066", [17] = "#ff5d62" },
      },
    }
    '';
  };
}
