{ pkgs, config, ... }:

{

  programs = {
    fzf = {
      enable = true;
      enableZshIntegration = true;
      tmux = {
        enableShellIntegration = true;
      };
    };
    zsh = {
      enable = true;
      oh-my-zsh = {
        enable = false;
      };
      autosuggestion = {
        enable = true;
      };
      syntaxHighlighting = {
        enable = true;
      };
      enableCompletion = true;
      history = {
        append = true;
        share = true;
        ignoreSpace = true;
        ignoreAllDups = true;
        ignoreDups = true;
      };
      historySubstringSearch = {
        enable = true;
        searchUpKey = "^p";
        searchDownKey = "^n";
      };
      shellAliases = {
        cd = "z";
        cdi = "zi";
        ls = "ls --color";
      };
    };
    starship = {
      enable = true;
      enableZshIntegration = true;
    };
  };
}
